Skip to main content
PUT
/
projects
/
{project_id}
/
content_extraction_settings
Update extraction settings
curl --request PUT \
  --url https://api.beyondwords.io/v1/projects/{project_id}/content_extraction_settings \
  --header 'Content-Type: application/json' \
  --header 'X-Api-Key: <api-key>' \
  --data '
{
  "mode": "manual",
  "javascript_enabled": false,
  "static_ip_enabled": true,
  "request_headers": {
    "X-Custom-Header": "my-custom-value"
  }
}
'
{
  "mode": "automatic",
  "javascript_enabled": true,
  "static_ip_enabled": false,
  "request_headers": {
    "X-Paywall-Token": "my-secret-token"
  }
}

Authorizations

X-Api-Key
string
header
required

Path Parameters

project_id
string
required

The numeric ID of your project

Body

application/json
mode
enum<string>

The mode to use for content extraction

Available options:
automatic,
manual,
legacy
javascript_enabled
boolean

Whether to evaluate JavaScript when extracting content. Useful for single-page applications.

static_ip_enabled
boolean

Whether requests should originate from a static IP address when extracting content.

request_headers
object

Headers that you want to include in the HTTP request when fetching and extracting the content.

Response

successful

mode
enum<string>

The mode to use for content extraction

Available options:
automatic,
manual,
legacy
javascript_enabled
boolean

Whether to evaluate JavaScript when extracting content. Useful for single-page applications.

static_ip_enabled
boolean

Whether requests should originate from a static IP address when extracting content.

request_headers
object

Headers that you want to include in the HTTP request when fetching and extracting the content.